﻿using ShoeStore.Entities.Enums;

namespace ShoeStore.Entities;

public class Shoes
{
    public int Id { get; private set; }
    public ShoesType ShoesType { get; private set; } /*= ShoesType.Classic_Shoe | ShoesType.Sandals;*/
    public string Name { get; private set; } = string.Empty;
    public string Description { get; private set; } = string.Empty;

    public static Shoes CreateEntity(int id, ShoesType shoesType, string name, string description)
    {
        return new Shoes
        {
            Id = id,
            ShoesType = shoesType,
            Name = name,
            Description = description
        };
    } 
}

