﻿using ShoeStore.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShoeStore.Entities;

public class Factory
{
    public int Id { get; private set; }
    public string FactoryName { get; private set; } = string.Empty;
    public Manufacturer Manufacturer { get; private set; }
    public static Factory CreateEntity(int id, string factoryName,
    Manufacturer manufacturer)
    {
        return new Factory
        {
            Id = id,
            FactoryName = factoryName ?? string.Empty,
            Manufacturer = manufacturer
        };
    }
}
