﻿using ShoeStore.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShoeStore.Repositories;

public interface IShoesReplenishmentRepository
{
    IEnumerable<ShoesReplenishment> ReadShoesReplenishment(DateTime? dateForm =
    null, DateTime? dateTo = null,
    int? shoesId = null, int? factoryId = null);
    void CreateShoesReplenishment(ShoesReplenishment shoesReplenishment);
    void DeleteShoesReplenishment(int id);
}